<?php

namespace App\Generated\V1\Messages\Friend;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class AgreeApplyMessage extends Message
{
    use ValueHelper;

    protected $applyUid;

    /**
     * 被同意的用户id
     * @return int
     */
    public function getApplyUid()
    {
        return $this->applyUid;
    }

    public function requestRules()
    {
        return [
            ['applyUid', 'apply_uid', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
